### Hierarchy

- BaseAPI
  - FeeRateApi

### Implements

- FeeRateApiInterface

## Index

### Constructors

- constructor

### Properties

- configuration

### Methods

- fetchFeeRate
- fetchFeeRateRaw
- request
- withMiddleware
- withPostMiddleware
- withPreMiddleware

## Constructors

### constructor

- new FeeRateApi(configuration?: Configuration ): FeeRateApi

- Inherited from BaseAPI.constructor

  - Defined in src/generated/runtime.ts:25

  #### Parameters

  - ##### configuration: Configuration = ...

  #### Returns FeeRateApi

## Properties

### Protected configuration

configuration: Configuration = ...

Inherited from BaseAPI.configuration

## Methods

### fetchFeeRate

- fetchFeeRate(requestParameters: FetchFeeRateRequest, initOverrides?: RequestInit): Promise< FeeRate >

- Implementation of FeeRateApiInterface.fetchFeeRate

  - Defined in src/generated/apis/FeeRateApi.ts:90

  Fetch fee rate information. fetch fee rate

  #### Parameters

  - ##### requestParameters: FetchFeeRateRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< FeeRate >

### fetchFeeRateRaw

- fetchFeeRateRaw(requestParameters: FetchFeeRateRequest, initOverrides?: RequestInit): Promise< ApiResponse < FeeRate >>

- Implementation of FeeRateApiInterface.fetchFeeRateRaw

  - Defined in src/generated/apis/FeeRateApi.ts:64

  Fetch fee rate information. fetch fee rate

  #### Parameters

  - ##### requestParameters: FetchFeeRateRequest

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise< ApiResponse < FeeRate >>

### Protected request

- request(context: RequestOpts, initOverrides?: RequestInit): Promise<Response>

- Inherited from BaseAPI.request

  - Defined in src/generated/runtime.ts:47

  #### Parameters

  - ##### context: RequestOpts

  - ##### Optional initOverrides: RequestInit

  #### Returns Promise<Response>

### withMiddleware

- withMiddleware<T>(...middlewares: Middleware []): T

- Inherited from BaseAPI.withMiddleware

  - Defined in src/generated/runtime.ts:31

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...middlewares: Middleware []

  #### Returns T

### withPostMiddleware

- withPostMiddleware<T>(...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]): T

- Inherited from BaseAPI.withPostMiddleware

  - Defined in src/generated/runtime.ts:42

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...postMiddlewares: ((context: ResponseContext ) => Promise<void | Response>)[]

  #### Returns T

### withPreMiddleware

- withPreMiddleware<T>(...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]): T

- Inherited from BaseAPI.withPreMiddleware

  - Defined in src/generated/runtime.ts:37

  #### Type parameters

  - #### T: BaseAPI <T>

  #### Parameters

  - ##### Rest ...preMiddlewares: ((context: RequestContext ) => Promise<void | FetchParams >)[]

  #### Returns T

Generated using TypeDoc